Bug 1175235 (CVE-2014-9420) - CVE-2014-9420 Kernel: fs: isofs: infinite loop in CE record entries
Summary: CVE-2014-9420 Kernel: fs: isofs: infinite loop in CE record entries
Status: CLOSED ERRATA
Alias: CVE-2014-9420
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20141215,reported=2...
Keywords: Security
Depends On: 1175243 1175245 1175246 1175248 1175249 1175250 1223787 1223788
Blocks: 1173071
TreeView+ depends on / blocked
 
Reported: 2014-12-17 10:57 UTC by Prasad J Pandit
Modified: 2019-06-08 20:19 UTC (History)
32 users (show)

(edit)
It was found that the Linux kernel's ISO file system implementation did not correctly limit the traversal of Rock Ridge extension Continuation Entries (CE). An attacker with physical access to the system could use this flaw to trigger an infinite loop in the kernel, resulting in a denial of service.
Clone Of:
(edit)
Last Closed: 2015-06-23 12:16:27 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1081 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2015-06-09 20:35:00 UTC
Red Hat Product Errata RHSA-2015:1137 normal SHIPPED_LIVE Important: kernel security and bug fix update 2015-06-23 12:46:59 UTC
Red Hat Product Errata RHSA-2015:1138 normal SHIPPED_LIVE Important: kernel-rt security, bug fix, and enhancement update 2015-06-23 12:28:04 UTC
Red Hat Product Errata RHSA-2015:1139 normal SHIPPED_LIVE Important: kernel-rt security, bug fix, and enhancement update 2015-06-23 12:24:45 UTC

Description Prasad J Pandit 2014-12-17 10:57:21 UTC
Linux kernel built with the iso9660 file system(CONFIG_ISO9660_FS) support is
vulnerable to an infinite recursion loop flaw, which could lead to a crash or
render a system unresponsive/unusable after a while. The occurs while mounting
an iso9660 image.

An unprivileged user/process could use this flaw to crash the system resulting
in DoS.

Upstream fix:
-------------
  -> https://git.kernel.org/linus/f54e18f1b831c92f6512d2eedb224cd63d607d3d

Comment 1 Prasad J Pandit 2014-12-17 11:06:19 UTC
Statement:

This issue affects the versions of the Linux kernel as shipped with Red Hat Enterprise Linux 5, 6, 7 and Red Hat Enterprise MRG 2. Future kernel updates for the respective releases may address this issue.

Comment 2 Prasad J Pandit 2014-12-17 11:06:54 UTC
Red Hat Enterprise Linux 5 is in Production 3 Phase of the support and maintenance life cycle. This issue has been rated as having Low security impact and is currently not planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle:

  -> https://access.redhat.com/support/policy/updates/errata/

Comment 3 Prasad J Pandit 2014-12-17 11:11:03 UTC
Acknowledgements:

Red Hat would like to thank Carl Henrik Lunde for reporting this issue.

Comment 6 Prasad J Pandit 2014-12-17 11:13:51 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1175250]

Comment 7 Fedora Update System 2015-01-11 02:58:23 UTC
kernel-3.17.8-300.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-01-13 00:05:58 UTC
kernel-3.17.8-200.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 errata-xmlrpc 2015-06-09 14:48:29 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2015:1081 https://rhn.redhat.com/errata/RHSA-2015-1081.html

Comment 12 errata-xmlrpc 2015-06-23 08:25:19 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:1139 https://rhn.redhat.com/errata/RHSA-2015-1139.html

Comment 13 errata-xmlrpc 2015-06-23 08:28:13 UTC
This issue has been addressed in the following products:

  MRG for RHEL-6 v.2

Via RHSA-2015:1138 https://rhn.redhat.com/errata/RHSA-2015-1138.html

Comment 14 errata-xmlrpc 2015-06-23 08:47:12 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:1137 https://rhn.redhat.com/errata/RHSA-2015-1137.html


Note You need to log in before you can comment on or make changes to this bug.